# -*- coding: utf-8 -*-
"""
Created on Fri Feb 26 14:04:38 2016

@author: Eric Miller

This script plots and displays a single CURRENT (bpr#) probe output from an
EMA3D simulation. This version uses user input that doesn't require editing the
.py file.
"""

import numpy as np
import matplotlib.pyplot as plt

# get the file name from the user 
filename=input("Enter the file name (and path if not in the current directory). \n")

#Get the plot title from the user:
title=input("Enter a plot title: \n")

#load the data from the file
data = np.loadtxt(filename)

#assign time values and convert to microseconds
datat=data[:,0]*1e6

#assign current values
dataj=data[:,1]

#identify timestep by comparing successive times
tstep=data[1,0]-data[0,0]

#find the maximimum and minimum current values to use as bounds of the plot
minj=min(dataj)
maxj=max(dataj)

#plot the data
fig=plt.figure()
plt.plot(datat,dataj)
plt.grid(True)
plt.title(title,fontsize=16)
plt.xlabel(r'Time (us)')
plt.ylabel('Current (A)')
fullname=title+r'.png'
plt.ylim((1.1*minj,1.1*maxj))
plt.savefig(fullname,dpi=160)
plt.show()
#plt.close()
